# This file is sourced by some other scripts in this directory

# get the root of the git repository
GIT_ROOT=$(git rev-parse --show-toplevel)
PROJECT_DIR="$GIT_ROOT"

### TO BE MODIFIED BY USERS ###
KERNEL_VERSION=5.10.0-21
## Packages
MCA_PACKAGE_NAME=mca--static
FLB_PACKAGE_NAME=fluent-bit
PLG_PACKAGE_NAME=plugin-fluentbit-to-wendelin
MCA_VERSION=0.3.1
FLB_VERSION=1.9.8
PLG_VERSION=0.3.2
CERT_NAME=db.crt
SIGNING_KEY_NAME=db.key

### DO NOT MODIFY ###
KERNEL_COMPILATION_DIR="$GIT_ROOT"/generation/kernel-compilation
KERNEL_DIR="$KERNEL_COMPILATION_DIR"/extracted-image-package
KERNEL_DIR="$GIT_ROOT"/generation/packaged-kernel_"$KERNEL_VERSION"
KERNEL_IMAGE="$KERNEL_DIR"/boot/vmlinuz-"$KERNEL_VERSION"-amd64
DRIVERS_DIR="$KERNEL_DIR"/lib/modules/"$KERNEL_VERSION"-amd64
# used mainly in dracut.module/configure
MCA_NAME_AND_VERSION=${MCA_PACKAGE_NAME}_${MCA_VERSION}-1
FLB_NAME_AND_VERSION=${FLB_PACKAGE_NAME}_${FLB_VERSION}-1
PLG_NAME_AND_VERSION=${PLG_PACKAGE_NAME}_${PLG_VERSION}-1

MCA_PACKAGE_FILE=${MCA_NAME_AND_VERSION}_amd64.deb
FLB_PACKAGE_FILE=${FLB_NAME_AND_VERSION}_amd64.deb
PLG_PACKAGE_FILE=${PLG_NAME_AND_VERSION}_amd64.deb
URL_PATTERN="https://download.opensuse.org/repositories/home:VIFIBnexedi/Debian_11/amd64/"
MCA_PACKAGE_URL=${URL_PATTERN}/${MCA_PACKAGE_FILE}
FLB_PACKAGE_URL=${URL_PATTERN}/${FLB_PACKAGE_FILE}
PLG_PACKAGE_URL=${URL_PATTERN}/${PLG_PACKAGE_FILE}

UEFI_IMAGE_NAME="linux-${KERNEL_VERSION}_${MCA_NAME_AND_VERSION}_${FLB_NAME_AND_VERSION}_${SERVER_GROUP}.efi"
