#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=`git rev-parse --show-toplevel`
cd "$GIT_ROOT"/installation

source 00env.sh

# useful tools
apt -y install sudo wget tree pip
git config --global user.email "ophelie.gagnard@nexedi.com"
git config --global user.name "Ophelie Gagnard"

# the next line should be enabled when the following is merged and an egg containing the changes is released:
# https://lab.nexedi.com/nexedi/slapos.libnetworkcache/merge_requests/8
#pip install slapos.libnetworkcache
NC_BRANCH=cmdline-selection
NC_DIR="${NC_BRANCH}"_slapos.libnetworkcache # NC for NetworkCache
cd ..
if [ ! -d "$NC_DIR" ]; then
	git clone https://lab.nexedi.com/Ophelie/slapos.libnetworkcache.git "$NC_DIR"
	cd "$NC_DIR"
	git checkout "$NC_BRANCH"
	cd ..
	pip install -e "$NC_DIR"
fi
cd installation
