
# COMMAND xfs_admin
# option: -I /usr/sbin/xfs_admin /usr/sbin/xfs_admin 
# needed to access the command within initramfs
# rd.break=pre-mount
# display current label
xfs_admin -l /dev/sda2

# set label to ROOT
xfs_admin -L "ROOT" /dev/sda2

# get the package version of the next installation candidate
# (replace "Candidate" with "Installed" to get the current package version)
apt-cache policy linux-image-amd64 | grep Candidate | awk '{print $2}'

# get the current kernel revision and version
kernel_revision=$(uname -r); echo ${kernel_revision%-*}
kernel_version=$(uname -v | cut -d' ' -f4)
